myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sylvain Vieujot <svieu...@apache.org>
Subject Re: IMPORTANT: Code requiring immediate removal
Date Sun, 09 Oct 2005 18:12:09 GMT
On Sun, 2005-10-09 at 20:00 +0200, Martin Marinschek wrote:

> Yes, right, Apache Lenya will have the same problem.
> 
> I didn't think about this - this is probably why you didn't check too
> carefully, right?

Yes. Plus, as the Kupu licence itself is Apache compatible :
http://codespeak.net/svn/kupu/trunk/kupu/doc/LICENSE.txt

> 
> Aren't the Lenya guys somewhat associated with the Kupu-Editor team?

I don't know. But I guess even the Kupu guys didn't see that.
I'll email on their mailing list.

Downloading Sarissa it at build would be fine, for those that build from
source.
But wouldn't it prevent us from distributing the compiled version ?


> 
> regards,
> 
> Martin
> 
> 
> On 10/9/05, Sylvain Vieujot <svieujot@apache.org> wrote:
> 
>         Indeed, this is bad.
>         I checked the Kupu licence, but not the one of all included
>         libraries :-(
>         Plus, Kupu is the only decent HTML Editor I found with a
>         compatible licence.
>         
>         A quick fix would be to add a sarissa path, or to ask the
>         developers to include the lib on the page.
>         
>         A better fix would be to find another editor, but the gest one
>         I've found, FCK editor is also all GLP  :
>         http://www.fckeditor.net/license/default.html
>         
>         About this licence problem, we could also talk with the guys
>         of lenya ( http://lenya.apache.org ) as they also use Kupu, so
>         I guess they have the same problem. 
>         
>         Sylvain.
>         
>         
>         
>         On Sun, 2005-10-09 at 13:36 +0200, Martin Marinschek wrote: 
>         
>         > Hi Martin,
>         > 
>         > thanks for pointing this out - obviously Sylvain has looked at the
>         > Kupu license directly, but not on the included libs closely enough.
>         > 
>         > 
>         > Sylvain, what would you suggest? Do you have a remedy for this?
>         > 
>         > regards,
>         > 
>         > Martin
>         > 
>         > 
>         > On 10/8/05, Martin Cooper <martinc@apache.org> wrote:
>         > > In looking at some of the JavaScript code in the MyFaces SVN repo,
I came
>         > 
>         > > across Sarissa. This is licensed under the LGPL, which is incompatible
>         > > with the Apache License. This code must be removed from the SVN repo
>         > 
>         > > immediately.
>         > >
>         > > I would strongly recommend that you do an audit of all of the code
in the
>         > 
>         > > SVN to ensure that the licenses are compatible.
>         > >
>         > > In addition, I would recommend that you get an ASF legal opinion on
the
>         > 
>         > > Kupu license. While the text of that license looks fairly innocuous,
the
>         > > Kupu distribution includes Sarissa, which makes it questionable.
>         > >
>         > 
>         > > Thanks in advance for your quick attention to this matter.
>         > >
>         > > --
>         > > Martin Cooper
>         > 
>         > >
>         > 
>         > 
>         > --
>         > 
>         > http://www.irian.at
>         > 
>         > Your JSF powerhouse -
>         > JSF Trainings in English and German
> 
> 
> 
> 
> -- 
> 
> http://www.irian.at
> Your JSF powerhouse - 
> JSF Trainings in English and German

Mime
View raw message